# This file is part of the UserStamp library that provides tools to
# track who created, updated, or destroyed a record in the database.
#
# https://github.com/mjpete3/user_stamp
#
# Copyright (C) 2015 PD Technology Solutions, LLC
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

require 'active_support/configurable'

module UserStamp

  #
  # Configures global settings for UserStamp
  # UserStamp.configure do |config|
  # config.user_field = [:login_name]
  # end
  def self.configuration
    @config ||= Configuration.new
  end

  # Global settings for UserStamp
  def self.configure
    yield configuration
  end
  
  class Configuration
    include ActiveSupport::Configurable
    config_accessor :current_user
    config_accessor :user_field
    
    # set the defaults
    def initialize
      self.current_user = :current_user
      self.user_field = :login_name
    end
  end
end